Results 1 to 9 of 9

Thread: Tumbleweed - H264 Codec

  1. #1
    Join Date
    Apr 2013
    Location
    Mafikeng, South Africa
    Posts
    48

    Default Tumbleweed - H264 Codec

    After Googling and trying everything I still can't play movies on Gnome videos or VLC Player (Beta) in Tumbleweed.

    Pacman repo is enabled; h264bitstream and libx264-148 are installed.

    Anyone know how to install all the required multimedia codecs?

  2. #2
    Join Date
    Jan 2016
    Location
    Manchester, UK
    Posts
    240

    Default Re: Tumbleweed - H264 Codec

    Quote Originally Posted by pheine View Post
    After Googling and trying everything I still can't play movies on Gnome videos or VLC Player (Beta) in Tumbleweed.

    Pacman repo is enabled; h264bitstream and libx264-148 are installed.

    Anyone know how to install all the required multimedia codecs?
    For me, following operations worked. Maybe you could try it as well. NOTE: assuming VLC Player is used. ref: http://opensuse-guide.org/codecs.php

    Note: this will replace your VLC player BETA to a stable version in packman!!!

    1. Add pacman repo,
      Code:
      zypper addrepo -f http://packman.inode.at/suse/openSUSE_Tumbleweed/ packman
    2. Install codes and VLC player
      Code:
      zypper install vlc vlc-codecs k3b-codecs ffmpeg lame gstreamer-plugins-libav gstreamer-plugins-bad gstreamer-plugins-ugly gstreamer-plugins-good gstreamer-fluendo-mp3 libdvdcss2
    3. Update these installed package to those in pacman repo
      Code:
      zypper dist-upgrade --from packman
    Last edited by cnzhx; 09-Feb-2017 at 04:22. Reason: adjust commands
    openSUSE Tumbleweed (usually the latest snapshot) w/ KDE Plasma 5

  3. #3

    Default Re: Tumbleweed - H264 Codec

    Running the most recent snapshot of Tumbleweed here. GNOME3 "Videos" will not work regardless of what codecs you install, because it's most likely not compiled with support for those codecs. If VLC doesn't work for some reason, I recommend the CLI multimedia player mpv. For me it always works .

  4. #4
    Join Date
    Apr 2013
    Location
    Mafikeng, South Africa
    Posts
    48

    Default Re: Tumbleweed - H264 Codec

    Thank you cnzhx.

    VLC Player working now, but not yet Gnome Player as AndyMender also reports.

    Thank you both again.

  5. #5

    Default Re: Tumbleweed - H264 Codec

    adding packman and installing a few packages is not enough you need to replace all multimedia packages ie do a full vendor change
    so tell us your repo list
    Code:
    zypper lr -d
    I haven't used gnome in ages but totem (or gnome videos) is not compiled with codecs it uses gstreamer as a multimedia (codec) backend that being said a full vendor change will get working version of gstreamer
    TW users after initial configuration need to run zypper as
    Code:
    zypper dup --no-allow-vendor-change
    as zypper dup pulls then newest packages from any repo and will replace working packman packages with restricted ones from OSS

  6. #6
    Join Date
    Apr 2013
    Location
    Mafikeng, South Africa
    Posts
    48

    Default Re: Tumbleweed - H264 Codec

    Quote Originally Posted by I_A View Post
    adding packman and installing a few packages is not enough you need to replace all multimedia packages ie do a full vendor change
    so tell us your repo list
    Code:
    zypper lr -d
    I haven't used gnome in ages but totem (or gnome videos) is not compiled with codecs it uses gstreamer as a multimedia (codec) backend that being said a full vendor change will get working version of gstreamer
    TW users after initial configuration need to run zypper as
    Code:
    zypper dup --no-allow-vendor-change
    as zypper dup pulls then newest packages from any repo and will replace working packman packages with restricted ones from OSS
    Output:

    ~> zypper lr -d
    Repository priorities are without effect. All enabled repositories share the same priority.


    # | Alias | Name | Enabled | GPG Check | Refresh | Priority | Type | URI | Service
    --+-----------------------------------+-----------------------------+---------+-----------+---------+----------+--------+-------------------------------------------------------------------------+--------
    1 | http-ftp.uni-erlangen.de-8c3e4547 | Packman Repository | Yes | (r ) Yes | Yes | 99 | rpm-md | http://ftp.uni-erlangen.de/pub/mirro...USE_Tumbleweed |
    2 | packman | packman | Yes | (r ) Yes | Yes | 99 | rpm-md | http://packman.inode.at/suse/openSUSE_Tumbleweed/ |
    3 | repo-debug | openSUSE-Tumbleweed-Debug | No | ---- | ---- | 99 | NONE | http://download.opensuse.org/debug/tumbleweed/repo/oss/ |
    4 | repo-non-oss | openSUSE-Tumbleweed-Non-Oss | Yes | (r ) Yes | Yes | 99 | yast2 | http://download.opensuse.org/tumbleweed/repo/non-oss/ |
    5 | repo-oss | openSUSE-Tumbleweed-Oss | Yes | (r ) Yes | Yes | 99 | yast2 | http://download.opensuse.org/tumbleweed/repo/oss/ |
    6 | repo-source | openSUSE-Tumbleweed-Source | No | ---- | ---- | 99 | NONE | http://download.opensuse.org/source/...weed/repo/oss/ |
    7 | repo-update | openSUSE-Tumbleweed-Update | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/update/tumbleweed/ |

  7. #7

    Default Re: Tumbleweed - H264 Codec

    packman should have a higher priority then the oss repo try
    Code:
    zypper mr -p 90 1
    the above will set packman to priority 90 (in opensuse smaller means higher priority 1 is top 99 is bottom)
    to get multimedia working (totem playing video's) do a full vendor change with packman (repo #1)
    Code:
    zypper dup --from 1

  8. #8
    Join Date
    Apr 2013
    Location
    Mafikeng, South Africa
    Posts
    48

    Default Re: Tumbleweed - H264 Codec

    Thank you Wisepenguin (and all).

    Everything working perfectly now.

    Linux and OpenSuse are simply the Best!

  9. #9

    Default Re: Tumbleweed - H264 Codec

    Quote Originally Posted by cnzhx View Post
    For me, following operations worked. Maybe you could try it as well. NOTE: assuming VLC Player is used. ref: http://opensuse-guide.org/codecs.php

    Note: this will replace your VLC player BETA to a stable version in packman!!!

    1. Add pacman repo,
      Code:
      zypper addrepo -f http://packman.inode.at/suse/openSUSE_Tumbleweed/ packman
    2. Install codes and VLC player
      Code:
      zypper install vlc vlc-codecs k3b-codecs ffmpeg lame gstreamer-plugins-libav gstreamer-plugins-bad gstreamer-plugins-ugly gstreamer-plugins-good gstreamer-fluendo-mp3 libdvdcss2
    3. Update these installed package to those in pacman repo
      Code:
      zypper dist-upgrade --from packman
    Worked for me, thanks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •